#!/bin/bash

set -eu

#trouver la quantité de mémoire
MEM=`free -m | grep "Mem:" | awk -F' '  '{print $2}'| sed 's/m//'`
#trouver la taille du disque sda
DISK=`fdisk -l | grep sda  | awk -F' '  '{print $3}'`
SDA="$DISK"000
SDA1=$(($SDA-$MEM))

# Partitioner ! 
(
echo o 			# Create a new empty DOS partition table
echo n 			# Add a new partition
echo p 			# Primary partition
echo 1 			# Partition number
echo   			# First sector (Accept default: 1)
echo +"$SDA1"M 	# Last sector (Accept default: varies)
echo n 			# Add a new partition
echo p 			# Primary partition
echo 2 			# partion number 2
echo   			# default, start immediately after preceding partition
echo   			# default, extend partition to end of disk
echo a 			# make a partition bootable
echo 1 			# bootable partition is partition 1 -- /dev/sda1
echo w 			# Write changes
) | fdisk /dev/sda 2>> error.log 


mkfs.ext4 $SYS 2>> error.log 
mkswap $SWAP 2>> error.log 
swapon $SWAP 2>> error.log 
mount $SYS $CHROOT 2>> error.log 